Bug 1652625 - There is an illegal WRITE memory access at src/common-image.c:193 (function:load_image )in libcaca latest version.
Summary: There is an illegal WRITE memory access at src/common-image.c:193 (function:l...
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: libcaca   
(Show other bugs)
Version: rawhide
Hardware: All All
unspecified
urgent
Target Milestone: ---
Assignee: Matthias Saou
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-22 13:28 UTC by shuitao gan
Modified: 2018-12-29 14:20 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
./img2txt POC4 (102 bytes, image/bmp)
2018-11-22 13:28 UTC, shuitao gan
no flags Details

Description shuitao gan 2018-11-22 13:28:15 UTC
Created attachment 1507962 [details]
./img2txt POC4

version: libcaca0.99beta19
Summary: 

There is an illegal WRITE memory access at src/common-image.c:193 (function:load_image )in libcaca latest version.

Description:

The asan debug is as follows:

$./img2txt POC4

=================================================================
==90274==ERROR: AddressSanitizer: SEGV on unknown address 0x6020ffff0030 (pc 0x5619e1a71388 bp 0x603000000010 sp 0x7ffe4f582780 T0)
==90274==The signal is caused by a WRITE memory access.
    #0 0x5619e1a71387 in load_image /home/company/real/libcaca-master/src/common-image.c:193
    #1 0x5619e1a6f7c7 in main /home/company/real/libcaca-master/src/img2txt.c:171
    #2 0x7f31440e11c0 in __libc_start_main (/lib/x86_64-linux-gnu/libc.so.6+0x211c0)
    #3 0x5619e1a6ff09 in _start (/home/company/real/libcaca-master/install_asan/bin/img2txt+0x2f09)

AddressSanitizer can not provide additional info.
SUMMARY: AddressSanitizer: SEGV /home/company/real/libcaca-master/src/common-image.c:193 in load_image
==90274==ABORTING

Comment 1 Leonardo Taccari 2018-12-28 22:40:59 UTC
Hello shuitao!
Was this problem reported upstream?  If not, can you please share this problem also with them?


Thank you!

Comment 2 Henri Salo 2018-12-29 03:29:23 UTC
Reported to upstream https://github.com/cacalabs/libcaca/issues/40

Comment 3 Leonardo Taccari 2018-12-29 14:20:50 UTC
Thank you very much Henri!


Note You need to log in before you can comment on or make changes to this bug.